%define anolis_release 1

Name:           libgweather
Version:        4.2.0
Release:        %{anolis_release}%{?dist}
Summary:        A library for weather information

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/LibGWeather
Source0:        https://download.gnome.org/sources/libgweather/4.2/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  gi-docgen >= 2021.6
BuildRequires:  meson >= 0.57.0
BuildRequires:  pkgconfig(geocode-glib-1.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.68.0
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.44.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  python3-gobject-base
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  python3-typogrify
BuildRequires:  python-jinja2
BuildRequires:  python3-toml

%description
libgweather is a library to access weather information from online
services for numerous locations.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Conflicts:	libgweather < 4.2.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n libgweather-%{version}

%build
%meson -Dgtk_doc=true -Dsoup2=true
%meson_build

%install
%meson_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_libdir}/libgweather-4.so.*
%{_libdir}/girepository-1.0/GWeather-4.0.typelib
%dir %{_libdir}/libgweather-4
%{_libdir}/libgweather-4/Locations.bin
%dir %{_datadir}/libgweather-4
%{_datadir}/libgweather-4/Locations.xml
%{_datadir}/libgweather-4/locations.dtd
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather4.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather4.gschema.xml

%files devel
%{_includedir}/libgweather-4.0
%{_libdir}/libgweather-4.so
%{_libdir}/pkgconfig/gweather4.pc
%{_datadir}/gir-1.0/GWeather-4.0.gir
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/gweather4.deps
%{_datadir}/vala/vapi/gweather4.vapi
%doc %{_datadir}/doc/libgweather-4.0

%changelog
* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 4.2.0-1
- New version 4.2.0

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 4.0.0-1
- Init from upstream version 4.0.0
